org.scalatest

# ResourcefulReporter

#### trait ResourcefulReporter extends Reporter

Subtrait of `Reporter` that contains a `dispose` method for releasing any finite, non-memory resources, such as file handles, held by the `Reporter`. `Runner` will invoke `dispose` on any `ResourcefulReporter` when it no longer needs the `Reporter`.

Linear Supertypes
Reporter, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Hide All
2. Show all

1. ResourcefulReporter
2. Reporter
3. AnyRef
4. Any

Visibility

1. Public
2. All

### Abstract Value Members

1. #### def apply (event: Event): Unit

   Invoked to report an event that subclasses may wish to report in some way to the user.

   Invoked to report an event that subclasses may wish to report in some way to the user.

   event

     the event being reported

   Attributes
     abstract
   Definition Classes
     Reporter

2. #### def dispose (): Unit

   Release any finite, non-memory resources, such as file handles, held by this `Reporter`.

   Release any finite, non-memory resources, such as file handles, held by this `Reporter`. Clients should call this method when they no longer need the `Reporter`, before releasing the last reference to the `Reporter`. After this method is invoked, the `Reporter` may be defunct, and therefore not usable anymore. If the `Reporter` holds no resources, it may do nothing when this method is invoked, however, in that case, it probably won't implement `ResourcefulReporter`.

   Attributes
     abstract

### Concrete Value Members

1. #### def != (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

2. #### def != (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

3. #### def ## (): Int

   Attributes
     final
   Definition Classes
     AnyRef → Any

4. #### def == (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

5. #### def == (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

6. #### def asInstanceOf [T0] : T0

   Attributes
     final
   Definition Classes
     Any

7. #### def clone (): AnyRef

   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws()

8. #### def eq (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

9. #### def equals (arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

10. #### def finalize (): Unit

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()

11. #### def getClass (): java.lang.Class[_]

    Attributes
      final
    Definition Classes
      AnyRef

12. #### def hashCode (): Int

    Definition Classes
      AnyRef → Any

13. #### def isInstanceOf [T0] : Boolean

    Attributes
      final
    Definition Classes
      Any

14. #### def ne (arg0: AnyRef): Boolean

    Attributes
      final
    Definition Classes
      AnyRef

15. #### def notify (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

16. #### def notifyAll (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

17. #### def synchronized [T0] (arg0: ⇒ T0): T0

    Attributes
      final
    Definition Classes
      AnyRef

18. #### def toString (): String

    Definition Classes
      AnyRef → Any

19. #### def wait (): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

20. #### def wait (arg0: Long, arg1: Int): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

21. #### def wait (arg0: Long): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

### Inherited from Reporter

### Inherited from AnyRef

### Inherited from Any